## golang-github-scaleft-sshkeys 1.4.0

=== debian/changelog ===
golang-github-scaleft-sshkeys (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #1107501)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 05 Jun 2025 12:49:50 +0000
