=== debian/control ===
Source: golang-github-scaleft-sshkeys
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-dchest-bcrypt-pbkdf-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-scaleft-sshkeys
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-scaleft-sshkeys.git
Homepage: https://github.com/ScaleFT/sshkeys
XS-Go-Import-Path: github.com/ScaleFT/sshkeys

Package: golang-github-scaleft-sshkeys-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-dchest-bcrypt-pbkdf-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
Description: Parser and marshaller for OpenSSH key formats for Go (library)
 This package provides a parser and marshaller for cryptographic keys used for
 SSH. It enables Go applications to read and write private keys in various
 formats, including encrypted ones, which is useful for building SSH clients,
 servers, or key management tools.
 .
 In contrast to the standard library's ssh.ParseRawPrivateKey, this package
 supports a wider range of formats, including encrypted private keys, and also
 provides marshalling capabilities. Supported formats include OpenSSH's modern
 key format for RSA and ED25519 keys (with aes256-ctr encryption), as well
 as classic PEM formats for RSA (PKCS#1), DSA (OpenSSL), and ECDSA private
 keys.
